#include <stdio.h>
#include <string.h>

bool translate(const char * filename,FILE * out){
  char fileext[strlen(filename)+4];
  strcpy(fileext,filename);
  strcpy(fileext+strlen(filename),".js");
  FILE * in=fopen(fileext,"r");
  if (!in)
    return false;
  fprintf(out,"const char %s[]=\"",filename);
  while (true){
    int c=fgetc(in);
    if (!c || feof(in))
      break;
    if (c=='\n')
      c=' ';
    if (c=='"')
      fputc('\\',out);
    fputc(c,out);
  }
  fclose(in);
  fprintf(out,"%s\n","\";");
  return true;
}

// translate xcasjs.js and qjscalcjs.js to a c file
int main(){
  FILE * out=fopen("js.c","w");
  fprintf(out,"%s\n","#include \"js.h\"");
  translate("xcasjs",out);
  translate("qjscalcjs",out);
  fclose(out);
  out=fopen("js.h","w");
  fprintf(out,"%s\n","extern const char xcasjs[];");
  fprintf(out,"%s\n","extern const char qjscalcjs[];");
  fclose(out);
}
